## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-stdlibs
Version:        2024.5.15
Release:        %autorelease
Summary:        List of packages in the stdlib

License:        MIT
URL:            https://stdlibs.omnilib.dev
Source:         %{pypi_source stdlibs}
# relax version constraints
# * sphinx from == 7.3.7 to ~= 7.3
# * sphinx-mdinclude from == 0.6 to >= 0.5.3, < 0.7
# add dependencies
# * libcst
Patch:          stdlibs-fix-deps.diff
# use tomllib instead of the deprecated toml
Patch:          stdlibs-use-tomllib.diff

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
This package provides a static listing of all known modules in the Python
standard library, with separate lists available for each major release dating
back to Python 2.3. It also includes combined lists of all module names that
were ever available in any 3.x release, any 2.x release, or both.

Note: On Python versions 3.10 or newer, a list of module names for the active
runtime is available sys.stdlib_module_names. This package exists to provide an
historical record for use with static analysis and other tooling.

This package only includes listings for CPython releases. If other runtimes
would be useful, open an issue and start a discussion on how best that can be
accomodated.}


%description %_description

%package -n     python3-stdlibs
Summary:        %{summary}

%description -n python3-stdlibs %_description


%prep
%autosetup -p1 -n stdlibs-%{version}


%generate_buildrequires
%pyproject_buildrequires -x docs


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files stdlibs


%check
%pyproject_check_import
%pytest -v stdlibs/tests/__init__.py


%files -n python3-stdlibs -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Fri Aug 16 2024 John Doe <packager@example.com> - 2024.5.15-1
- Uncommitted changes
## END: Generated by rpmautospec
